package models.file;

import java.io.File;
import java.io.FileFilter;

import models.util.file.FileUtil;
import models.util.image.FusionMgr;

public class FileFilterType {

	/**
	 * Filters for files that end in an extension defined in FileUtil.IMAGE_FILE_EXTS.
	 */
	public static FileFilter IMAGES = new FileFilter() {
		public boolean accept(File file) {
			boolean result = file.isDirectory();
			if (!result) {
				String fileName = file.getName().toLowerCase();
				for (String extension : FileUtil.IMAGE_FILE_EXTS) {
					if (fileName.endsWith(extension)) {
						result = true;
						break;
					}
				}
			}
			return result;
		}		
	};
}
