package util;

import play.Play;

public enum ConfigReader {

	spriteCacheDir,
	appendCssDirPath,
	cssDirPathSeperator,
	baseImagePath,
	browserCacheSeconds
	;

    // enum value
    private String value = null;

    // tuple constructors
    private ConfigReader(String value) {
        this.value = value;
    }
    
    private ConfigReader() {
    	try {
    		this.value = getProperty(key()).trim();
    	}
    	catch(RuntimeException rte) {
    		System.err.println("disabled property: "+key());
    		this.value = null;
    	}    	
    }

    public String key() {
        return this.name();
    }
    
    public String value() {
        return this.value;
    }
	
	public Boolean valueBoolean() {
		if (this.value==null) return null;
		return Boolean.parseBoolean(this.value);		
	}

	public Integer valueInteger() {
		if(this.value==null) return null;
		return Integer.parseInt(this.value);		
	}
	
	private static String getProperty(String name) {
		return Play.configuration.getProperty(name);		
	}
	
	@Override
	public String toString() {
		return value();
	}
}
